AC_DEFUN([ZFS_AC_META], [
	ZFS_META_NAME=$PACKAGE_NAME;
	if test -n "$ZFS_META_NAME"; then
		AC_DEFINE_UNQUOTED([ZFS_META_NAME], ["$ZFS_META_NAME"],
		    [Define the project name.])
		AC_SUBST([ZFS_META_NAME])
	fi

	ZFS_META_VERSION=$PACKAGE_VERSION;
	if test -n "$ZFS_META_VERSION"; then
		AC_DEFINE_UNQUOTED([ZFS_META_VERSION], ["$ZFS_META_VERSION"],
		    [Define the project version.])
		AC_SUBST([ZFS_META_VERSION])
	fi

	ZFS_META_RELEASE=0;
	if test -n "$ZFS_META_RELEASE"; then
		AC_DEFINE_UNQUOTED([ZFS_META_RELEASE], ["$ZFS_META_RELEASE"],
		    [Define the project release.])
		AC_SUBST([ZFS_META_RELEASE])

		RELEASE="$ZFS_META_RELEASE"
		AC_SUBST([RELEASE])
	fi

	ZFS_META_LICENSE="GPL-2.0";
	if test -n "$ZFS_META_LICENSE"; then
		AC_DEFINE_UNQUOTED([ZFS_META_LICENSE], ["$ZFS_META_LICENSE"],
		    [Define the project license.])
		AC_SUBST([ZFS_META_LICENSE])
	fi

	if test -n "$ZFS_META_NAME" -a -n "$ZFS_META_VERSION"; then
		ZFS_META_ALIAS="$ZFS_META_NAME-$ZFS_META_VERSION"
		test -n "$ZFS_META_RELEASE" &&
				ZFS_META_ALIAS="$ZFS_META_ALIAS-$ZFS_META_RELEASE"
		AC_DEFINE_UNQUOTED([ZFS_META_ALIAS], ["$ZFS_META_ALIAS"],
		    [Define the project alias string.])
		AC_SUBST([ZFS_META_ALIAS])
	fi

	ZFS_META_AUTHOR="Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>";
	if test -n "$ZFS_META_AUTHOR"; then
		AC_DEFINE_UNQUOTED([ZFS_META_AUTHOR], ["$ZFS_META_AUTHOR"],
		    [Define the project author.])
		AC_SUBST([ZFS_META_AUTHOR])
	fi

	ZFS_META_KVER_MIN=4.14;
	if test -n "$ZFS_META_KVER_MIN"; then
		AC_DEFINE_UNQUOTED([ZFS_META_KVER_MIN], ["$ZFS_META_KVER_MIN"],
		    [Define the minimum compatible kernel version.])
		AC_SUBST([ZFS_META_KVER_MIN])
	fi

	ZFS_META_KVER_MAX=6.13;
	if test -n "$ZFS_META_KVER_MAX"; then
		AC_DEFINE_UNQUOTED([ZFS_META_KVER_MAX], ["$ZFS_META_KVER_MAX"],
		    [Define the maximum compatible kernel version.])
		AC_SUBST([ZFS_META_KVER_MAX])
	fi
])
